Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.concurrent
Interface ConcurrentSessionController

All Known Implementing Classes:
  ConcurrentSessionControllerImpl, NullConcurrentSessionController

    public interface ConcurrentSessionController

Provides two methods that can be called by an `AuthenticationManager` to integrate with the concurrent session handling infrastructure.

Version:
  $Id: ConcurrentSessionController.java,v 1.2 2005/11/17 00:55:56 benalex Exp $
Author:
  Ben Alex

Method Summary
`void` | `checkAuthenticationAllowed(Authentication request)` Called by any class that wishes to know whether the current authentication request should be permitted.
`void` | `registerSuccessfulAuthentication(Authentication authentication)` Called by an `AuthenticationManager` when the authentication was successful.

Method Detail

### checkAuthenticationAllowed

    void checkAuthenticationAllowed(Authentication request)
                                    throws AuthenticationException

  Called by any class that wishes to know whether the current authentication request should be permitted. Generally callers will be `AuthenticationManager`s before they authenticate, but could equally include `Filter`s or other interceptors that wish to confirm the ongoing validity of a previously authenticated `Authentication`.

  The implementation should throw a suitable exception if the user has exceeded their maximum allowed concurrent sessions.

  Parameters:
    `request` - the authentication request (never `null`)
  Throws:
    `AuthenticationException` - if the user has exceeded their maximum allowed current sessions

### registerSuccessfulAuthentication

    void registerSuccessfulAuthentication(Authentication authentication)

  Called by an `AuthenticationManager` when the authentication was successful. An implementation is expected to register the authenticated user in some sort of registry, for future concurrent tracking via the `#checkConcurrentAuthentication(Authentication)` method.

  Parameters:
    `authentication` - the successfully authenticated user (never `null`)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.